[arch-commits] Commit in iwlwifi-5000-ucode/trunk (PKGBUILD)

Thomas Bächler thomas at archlinux.org
Tue May 19 18:35:15 EDT 2009


    Date: Tuesday, May 19, 2009 @ 18:35:14
  Author: thomas
Revision: 39673

upgpkg: iwlwifi-5000-ucode 8.24.2.12-1

Modified:
  iwlwifi-5000-ucode/trunk/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-19 19:54:32 UTC (rev 39672)
+++ PKGBUILD	2009-05-19 22:35:14 UTC (rev 39673)
@@ -2,20 +2,26 @@
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
 
 pkgname=iwlwifi-5000-ucode
-pkgver=5.4.A.11
+pkgver=8.24.2.12
+_old_pkgver=5.4.A.11
 pkgrel=1
 pkgdesc="Intel wireless firmware for Intel's 5100BG, 5100ABG, 5100AGN, 5300AGN and 5350AGN wireless devices"
 arch=(i686 x86_64)
 url="http://intellinuxwireless.org/?p=iwlwifi"
 license=('custom')
 depends=()
-source=(http://intellinuxwireless.org/iwlwifi/downloads/$pkgname-$pkgver.tar.gz)
-md5sums=('748860c5079dde1a1313e72511b9322a')
+source=(http://intellinuxwireless.org/iwlwifi/downloads/$pkgname-$pkgver.tgz
+        http://intellinuxwireless.org/iwlwifi/downloads/$pkgname-${_old_pkgver}.tar.gz)
+md5sums=('45f74d052d52f6f473dc7a8d412f2274'
+         '748860c5079dde1a1313e72511b9322a')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-${_old_pkgver}
+  # Install API version 1 firmware
+  install -D -m 644 iwlwifi-5000-1.ucode $pkgdir/lib/firmware/iwlwifi-5000-1.ucode || return 1
+  cd $srcdir/$pkgname-$pkgver
   # Install firmware
-  install -D -m 644 iwlwifi-5000-1.ucode $startdir/pkg/lib/firmware/iwlwifi-5000-1.ucode || return 1
+  install -D -m 644 iwlwifi-5000-2.ucode $pkgdir/lib/firmware/iwlwifi-5000-2.ucode || return 1
   # Install license
-  install -D -m 644 LICENSE.iwlwifi-5000-ucode $startdir/pkg/usr/share/licenses/$pkgname/LICENSE || return 1
+  install -D -m 644 LICENSE.iwlwifi-5000-ucode $pkgdir/usr/share/licenses/$pkgname/LICENSE || return 1
 }



More information about the arch-commits mailing list